# Class MediaName

java.lang.Object
javax.print.attribute.EnumSyntax
javax.print.attribute.standard.Media
javax.print.attribute.standard.MediaName

All Implemented Interfaces:
  `Serializable, Cloneable, Attribute, DocAttribute, PrintJobAttribute, PrintRequestAttribute`

public class MediaName extends Media implements Attribute
Class `MediaName` is a subclass of `Media`, a printing attribute class (an enumeration) that specifies the media for a print job as a name.

This attribute can be used instead of specifying `MediaSize` or `MediaTray`.

Class `MediaName` currently declares a few standard media names. Implementation- or site-defined names for a media name attribute may also be created by defining a subclass of class `MediaName`.

IPP Compatibility: `MediaName` is a representation class for values of the IPP "media" attribute which names media.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final MediaName`
  `ISO_A4_TRANSPARENT`
  A4 transparency.
  `static final MediaName`
  `ISO_A4_WHITE`
  white A4 paper.
  `static final MediaName`
  `NA_LETTER_TRANSPARENT`
  letter transparency.
  `static final MediaName`
  `NA_LETTER_WHITE`
  white letter paper.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MediaName(int value)`
  Constructs a new media name enumeration value with the given integer value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected EnumSyntax[]`
  `getEnumValueTable()`
  Returns the enumeration value table for class `MediaTray`.
  `protected String[]`
  `getStringTable()`
  Returns the string table for class `MediaTray`.

  ### Methods declared in class Media

  `equals, getCategory, getName`
  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object object)`
  Returns whether this media attribute is equivalent to the passed in object.
  `final Class<? extends Attribute>`
  `getCategory()`
  Get the printing attribute class which is to be used as the "category" for this printing attribute value.
  `final String`
  `getName()`
  Get the name of the category of which this attribute value is an instance.

  ### Methods declared in class EnumSyntax

  `clone, getOffset, getValue, hashCode, readResolve, toString`
  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  Returns a clone of this enumeration value, which to preserve the semantics of enumeration values is the same object as this enumeration value.
  `protected int`
  `getOffset()`
  Returns the lowest integer value used by this enumeration value's enumeration class.
  `int`
  `getValue()`
  Returns this enumeration value's integer value.
  `int`
  `hashCode()`
  Returns a hash code value for this enumeration value.
  `protected Object`
  `readResolve()`
  During object input, convert this deserialized enumeration instance to the proper enumeration value defined in the enumeration attribute class.
  `String`
  `toString()`
  Returns a string value corresponding to this enumeration value.

  ### Methods declared in class Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### NA_LETTER_WHITE

    public static final MediaName NA_LETTER_WHITE
    white letter paper.

  - ### NA_LETTER_TRANSPARENT

    public static final MediaName NA_LETTER_TRANSPARENT
    letter transparency.

  - ### ISO_A4_WHITE

    public static final MediaName ISO_A4_WHITE
    white A4 paper.

  - ### ISO_A4_TRANSPARENT

    public static final MediaName ISO_A4_TRANSPARENT
    A4 transparency.

- ## Constructor Details

  - ### MediaName

    protected MediaName(int value)
    Constructs a new media name enumeration value with the given integer value.
    Parameters:
      `value` - Integer value

- ## Method Details

  - ### getStringTable

    protected String[] getStringTable()
    Returns the string table for class `MediaTray`.
    Overrides:
      `getStringTable` in class `EnumSyntax`
    Returns:
      the string table

  - ### getEnumValueTable

    protected EnumSyntax[] getEnumValueTable()
    Returns the enumeration value table for class `MediaTray`.
    Overrides:
      `getEnumValueTable` in class `EnumSyntax`
    Returns:
      the enumeration value table